Name:            snmptt
Version:         1.4
Release:         1%{?dist}
Summary:         SNMP Trap Translator

Group:           System Environment/Daemons
License:         GPLv2+
URL:             http://www.snmptt.org/
Source0:         %{name}_%{version}.tgz

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:       noarch
Requires:        net-snmp
Requires:        net-snmp-perl
Requires:        perl
Requires:        logrotate
%if 0%{?rhel} >= 6
Requires:        perl-Time-HiRes
%endif

Requires(pre):   /usr/sbin/useradd
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
SNMPTT (SNMP Trap Translator) is an SNMP trap handler written in Perl
for use with the Net-SNMP / UCD-SNMP snmptrapd program. 

%prep
%setup0 -q -n %{name}_%{version}
mv sample-*trap* examples/

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/snmp
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/snmptt
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/spool/snmptt

install -pm 755 snmptt snmptthandler $RPM_BUILD_ROOT%{_sbindir}
install -pm 755 snmpttconvert snmpttconvertmib snmptt-net-snmp-test $RPM_BUILD_ROOT%{_bindir}
install -pm 755 snmptt-init.d $RPM_BUILD_ROOT%{_sysconfdir}/init.d/snmptt
install -pm 644 snmptt.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/snmptt

cat snmptt.ini | sed \
    -e 's|^mode = standalone|mode = daemon|g' \
    -e 's|^net_snmp_perl_enable = 0|net_snmp_perl_enable = 1|g' \
    -e 's|^net_snmp_perl_best_guess = 0|net_snmp_perl_best_guess = 2|g' \
    -e 's|^syslog_enable = 1|syslog_enable = 0|g' \
    -e 's|^#date_time_format =|date_time_format = %H:%M:%%S %Y%m%d|g' \
    -e 's|^DEBUGGING_FILE =|DEBUGGING_FILE = /var/log/snmptt/snmptt.debug|g' \
    -e 's|^DEBUGGING_FILE_HANDLER =|DEBUGGING_FILE_HANDLER = /var/log/snmptt/snmptthandler.debug |g' \
    > $RPM_BUILD_ROOT%{_sysconfdir}/snmp/snmptt.ini


%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group snmptt >/dev/null || groupadd -r snmptt
getent passwd snmptt >/dev/null || \
useradd -r -g snmptt -M -d /var/spool/snmptt -s /sbin/nologin -c "SNMP Trap Translator" snmptt
:

%post
/sbin/chkconfig --add snmptt || :

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service snmptt stop > /dev/null 2>&1
    /sbin/chkconfig --del snmptt
fi
:

%postun
if [ $1 -ge 1 ] ; then
    /sbin/service snmptt condrestart > /dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README contrib/ docs/ examples/
%config(noreplace) /etc/snmp/snmptt.ini
%config(noreplace) /etc/logrotate.d/snmptt
%{_sysconfdir}/init.d/snmptt
%{_bindir}/snmpttconvert
%{_bindir}/snmpttconvertmib
%{_bindir}/snmptt-net-snmp-test
%{_sbindir}/snmptt
%{_sbindir}/snmptthandler
%attr(-,snmptt,snmptt) %dir /var/log/snmptt/
%attr(-,snmptt,snmptt) %dir /var/spool/snmptt/

%changelog
* Sun Jun 15 2014 Kodai Terashima <kodai.terashima@zabbix.com> - 1.4-1
- Initial release
